> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/cloud-delivery/monitoring/bitcoin-wallets.md).

# Bitcoin Wallets

{% hint style="info" %}

### This data is included in the following Kaiko packages

* Kaiko Blockchain Monitoring
  {% endhint %}

## What is this dataset for?

This dataset offers in-depth insights into BTC wallets including transfers and wallet balances over time.

### File structure details

This product is made of two distinct tables: - Balance Data - One row for each address balance change. - Transaction Data - One row for each transaction.

* File Name: bitcoin\_\[date].csv
  * Files are created on a daily basis.
  * example: bitcoin\_2023-02-12.csv
* Cut-off time: `00:00:00 UTC`
  * We use the timestamp of the block in order to cut-off the data points between days.
* Column Delimiter: ,(comma)
* Decimal Mark (in numbers): . (dot)

**Balance Data**

| Field               | Description                                                                                                      | Example                                                            |
| ------------------- | ---------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------ |
| `user_address`      | The address on which the row is focused.                                                                         | `15HCzh8AoKRnTWMtmgAsT9TKUPrQ6oh9HQ`                               |
| `chain`             | Always `bitcoin`                                                                                                 | `bitcoin`                                                          |
| `block_number`      | The height of the block.                                                                                         | `394889`                                                           |
| `timestamp`         | The timestamp of the block.                                                                                      | `1453681271`                                                       |
| `transaction_hash`  | Transaction hash.                                                                                                | `94ad60ff0ef4cd0f31cab884adc6c39720273e9468ac0019a339911f0dd26e76` |
| `transaction_type`  | Event type.                                                                                                      | `minerReward`                                                      |
| `transaction_index` | The index of the transaction.                                                                                    | `0`                                                                |
| `ordinal`           | Generated number that gives the order of each balance impact, for one file. Based on call index and log indexes. | `2`                                                                |
| `token_symbol`      | Symbol of the coin transferred                                                                                   | `BTC`                                                              |
| `direction`         | Inflow or outflow from the user\_address.                                                                        | `in`                                                               |
| `amount`            | Amount of asset transferred.                                                                                     | `25.42860520`                                                      |
| `balance_after`     | Wallet balance for the user\_address for this asset.                                                             | `531.52819202`                                                     |
| `amount_usd`        | Amount of asset transferred in usd.                                                                              | `10171.442886426918`                                               |
| `balance_after_usd` | Wallet balance for the user\_address for this asset in usd.                                                      | `212611.2936645534`                                                |

**Transaction Data**

| Field                | Description                           | Example                                                                   |
| -------------------- | ------------------------------------- | ------------------------------------------------------------------------- |
| `chain`              | Blockchain name.                      | `bitcoin`                                                                 |
| `block_number`       | The height of the block.              | `395211`                                                                  |
| `timestamp`          | The timestamp of the block.           | `1453853136`                                                              |
| `transaction_hash`   | Transaction hash.                     | `94ad60ff0ef4cd0f31cab884adc6c39720273e9468ac0019a339911f0dd26e76`        |
| `transaction_index`  | The index of the transaction.         | `0`                                                                       |
| `sender_addresses`   | The addresses that send the coin.     | `[1A8MMLhpGEyNqEsqzkReXtmBx9LBQgt8Mh]`                                    |
| `receiver_addresses` | The addresses that receive the coin.  | `[19Ntq9wC9i39284EZVVf4R7DbCz7gThxzs,12eKGe5hLdKBe8mQ7dv8NixEcX96XHBkoZ]` |
| `token_symbol`       | Symbol of the coin transferred        | `BTC`                                                                     |
| `amount_out`         | Amount of asset transferred.          | `10.12592654`                                                             |
| `fees`               | Fees paid for the transaction.        | `0.0004`                                                                  |
| `amount_out_usd`     | Amount of asset transferred in usd.   | `3965.771819253574`                                                       |
| `fees_usd`           | Fees paid for the transaction in usd. | `0.15665813112855445`                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kaiko.com/cloud-delivery/monitoring/bitcoin-wallets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
